apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization

namePrefix: verwerkingenoverzicht-
namespace: app

resources:
  - ../../base
  - secret-discovery-tls.yaml
  - secret-source-backend-tls.yaml
  - secret-toxiproxy-tls.yaml

patches:
  - target:
      kind: Ingress
      name: discovery-ing
    patch: |
      - op: replace
        path: /spec/rules/0/host
        value: verwerkingenoverzicht-discovery-127.0.0.1.nip.io
      - op: add
        path: /spec/tls/0/hosts/-
        value: verwerkingenoverzicht-discovery-127.0.0.1.nip.io
  - target:
      kind: Ingress
      name: source-backend-ing
    patch: |
      - op: replace
        path: /spec/rules/0/host
        value: "*.verwerkingenoverzicht-source-backend-127.0.0.1.nip.io"
      - op: add
        path: /spec/tls/0/hosts/-
        value: "*.verwerkingenoverzicht-source-backend-127.0.0.1.nip.io"
  - target:
      kind: Ingress
      name: toxiproxy-ing
    patch: |
      - op: replace
        path: /spec/rules/0/host
        value: "*.verwerkingenoverzicht-toxiproxy-127.0.0.1.nip.io"
      - op: add
        path: /spec/tls/0/hosts/-
        value: "*.verwerkingenoverzicht-toxiproxy-127.0.0.1.nip.io"

configMapGenerator:
  - name: discovery-config
    files:
      - config.yaml=config/discovery.yaml
  - name: toxiproxy-config
    files:
      - config.json=config/toxiproxy.json
